import {Injectable} from "@angular/core";
import {User} from "../../shared/model/user";
import jwtDecode from "jwt-decode";
import {parseJson} from "@angular/cli/utilities/json-file";

@Injectable({
  providedIn: 'root'
})
export class JwtService {
  parseJwt(jwt: string): CreJwt {
    const decoded = jwtDecode(jwt) as any

    return {
      sub: decoded.sub,
      exp: decoded.exp,
      user: parseJson(decoded.user)
    }
  }
}

interface CreJwt {
  readonly sub: string
  readonly exp: number,
  readonly user: User
}
